package com.emoon.common.translation.core.impl;

import lombok.AllArgsConstructor;
import com.emoon.common.core.service.OssService;
import com.emoon.common.translation.annotation.TranslationType;
import com.emoon.common.translation.constant.TransConstant;
import com.emoon.common.translation.core.core.TranslationInterface;

/**
 * OSS翻译实现
 *
 * @author wangkang
 */
@AllArgsConstructor
@TranslationType(type = TransConstant.OSS_ID_TO_URL)
public class OssUrlTranslationImpl implements TranslationInterface<String> {

    private final OssService ossService;

    @Override
    public String translation(Object key, String other) {
        if (key instanceof String ids) {
            return ossService.selectUrlByIds(ids);
        } else if (key instanceof Long id) {
            return ossService.selectUrlByIds(id.toString());
        }
        return null;
    }
}
